## ragout 2.2+ds

=== Makefile ===
OVLP_DIR := ragout/overlap/cpp_impl
M2S_DIR := ragout/maf2synteny/cpp_impl
BIN_DIR := $(shell pwd)/bin

#setting compiler (if not set)
ifeq (${CXX},)
	IS_CLANG := $(shell which clang++ >/dev/null 2>&1; echo $$?)
	IS_GCC := $(shell which g++ >/dev/null 2>&1; echo $$?)

	ifeq (${IS_CLANG},0)
		CXX := clang++
		
	else ifeq (${IS_GCC},0)
		CXX := g++

	else
	err:
		$(error Neither gcc nor clang compilers were detected.)
	endif
endif

#adding necessary flags
CXXFLAGS += -std=c++0x
UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
	CXXFLAGS += -stdlib=libc++
	LDFLAGS += -lc++
endif

export CXX
export CXXFLAGS
export LDFLAGS
export BIN_DIR

.PHONY: all overlap dependencies clean maf2synteny test

all: overlap maf2synteny

static: LDFLAGS += -static-libstdc++ -static-libgcc -static
static: all

overlap:
	make -C ${OVLP_DIR} all

maf2synteny:
	make -C ${M2S_DIR} all

dependencies:
	scripts/install-sibelia.py

test:
	scripts/run-tests.py

clean:
	make -C ${OVLP_DIR} clean
	make -C ${M2S_DIR} clean

=== requirements.txt ===
networkx>=2.2

=== ragout/maf2synteny/cpp_impl/Makefile ===
CXXFLAGS += -Wall
OUT_BIN := ${BIN_DIR}/ragout-maf2synteny

.PHONY: all clean debug

all: CXXFLAGS += -O2 -DNDEBUG
all: maf2synteny

debug: CXXFLAGS += -g -D_GLIBCXX_DEBUG -D_DEBUG
debug: maf2synteny

objects := ${patsubst %.cpp,%.o,${wildcard *.cpp}}
maf2synteny: ${objects}
	${CXX} ${LDFLAGS} ${objects} -o ${OUT_BIN}

%.o: %.cpp *.h
	${CXX} -c ${CXXFLAGS} $< -o $@

clean:
	rm *.o
	rm ${OUT_BIN}

=== debian/changelog ===
ragout (2.2+ds-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:59 +0100

ragout (2.2+ds-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:17 +0000

ragout (2.2+ds-1) unstable; urgency=medium

  * Team upload

  [Andreas Tille]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use 2to3 to port to Python3 (Closes: #938330)
    also see https://github.com/fenderglass/Ragout/issues/52
  [Steffen Moeller]
  * Not having Python install binaries in setup.py, chaning
    d/ragout.install accordingly
  * bin/ragout was still about to invoke python2
  * maketrans is now a static function of str
  * not allowing bin/ragout to change $PATH 
  * demoted sibelia to recommends runtime dependency as there are
    modules that don't use it.
    TODO: Find out what happened to
      https://salsa.debian.org/med-team/sibelia
    which is not in new or main.
  * use "ds" not "dfsg" as version suffix since files were removed
    but no functional changes have been performed.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jan 2020 19:07:58 +0100

ragout (2.1.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #925527)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Mar 2019 12:47:54 +0100

=== debian/control ===
Source: ragout
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-dev,
               python3-networkx (>= 2.2)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/ragout
Vcs-Git: https://salsa.debian.org/med-team/ragout.git
Homepage: https://github.com/fenderglass/Ragout/

Package: ragout
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         python3-networkx (>= 2.2)
Recommends:
         sibelia
Description: Reference-Assisted Genome Ordering UTility
 Ragout (Reference-Assisted Genome Ordering UTility) is a tool for
 chromosome-level scaffolding using multiple references. Given initial
 assembly fragments (contigs/scaffolds) and one or multiple related
 references (complete or draft), it produces a chromosome-scale assembly
 (as a set of scaffolds).
 .
 The approach is based on the analysis of genome rearrangements (like
 inversions or chromosomal translocations) between the input genomes and
 reconstructing the most parsimonious structure of the target genome.
 .
 Ragout now supports both small and large genomes (of mammalian scale
 and complexity). The assembly of highly polymorphic genomes is
 currently limited.

Package: ragout-examples
Architecture: all
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Reference-Assisted Genome Ordering UTility (example data)
 Ragout (Reference-Assisted Genome Ordering UTility) is a tool for
 chromosome-level scaffolding using multiple references. Given initial
 assembly fragments (contigs/scaffolds) and one or multiple related
 references (complete or draft), it produces a chromosome-scale assembly
 (as a set of scaffolds).
 .
 The approach is based on the analysis of genome rearrangements (like
 inversions or chromosomal translocations) between the input genomes and
 reconstructing the most parsimonious structure of the target genome.
 .
 Ragout now supports both small and large genomes (of mammalian scale
 and complexity). The assembly of highly polymorphic genomes is
 currently limited.
 .
 This package contains example data to test ragout.

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  https://github.com/fenderglass/Ragout/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## ragout 2.3

=== requirements.txt ===
setuptools
networkx==2.2

=== ragout/overlap/cpp_impl/Makefile ===
CXXFLAGS += -Wall
OUT_BIN := ${BIN_DIR}/ragout-overlap

.PHONY: all clean debug

all: CXXFLAGS += -O2 -DNDEBUG
all: maf2synteny

debug: CXXFLAGS += -g -D_GLIBCXX_DEBUG -D_DEBUG
debug: maf2synteny

objects := ${patsubst %.cpp,%.o,${wildcard *.cpp}}
maf2synteny: ${objects}
	${CXX} ${LDFLAGS} ${objects} -o ${OUT_BIN}

%.o: %.cpp *.h
	${CXX} -c ${CXXFLAGS} $< -o $@

clean:
	rm *.o
	rm ${OUT_BIN}

=== debian/changelog ===
ragout (2.3-5) unstable; urgency=medium

  * Port to Python3.12 by removing vendored six.py
    Closes: #1061835
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 02 Feb 2024 11:01:34 +0100

ragout (2.3-4) unstable; urgency=medium

  * Fix watch file
  * Remove redundant debian/gbp.conf
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 18:34:56 +0100

ragout (2.3-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 11:12:32 +0200

ragout (2.3-2) unstable; urgency=medium

  * Sibelia is now available
    Closes: #953904
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix "AttributeError: module 'networkx' has no attribute
    'connected_component_subgraphs'" which became obvious in test suite
  * d/copyright: lib/ragout was moved to ragout/ragout
  * networkx code copy is not inluded into upstream source any more

 -- Andreas Tille <tille@debian.org>  Sat, 28 Mar 2020 22:34:46 +0100

ragout (2.3-1) unstable; urgency=medium

  * Test-Depends: sibelia
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Build-Depends: python3-setuptools

 -- Andreas Tille <tille@debian.org>  Wed, 18 Mar 2020 19:53:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-dev,
-               python3-networkx (>= 2.2)
-Standards-Version: 4.4.0
+               python3-networkx,
+               python3-setuptools,
+               python3-six
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ragout
 Vcs-Git: https://salsa.debian.org/med-team/ragout.git
 Homepage: https://github.com/fenderglass/Ragout/
+Rules-Requires-Root: no
 
 Package: ragout
 Architecture: any
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
-         python3-networkx (>= 2.2)
-Recommends:
-         sibelia
+         python3-networkx,
+         python3-six
+Recommends: sibelia
 Description: Reference-Assisted Genome Ordering UTility
  Ragout (Reference-Assisted Genome Ordering UTility) is a tool for
  chromosome-level scaffolding using multiple references. Given initial
@@ -40,6 +43,7 @@
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: Reference-Assisted Genome Ordering UTility (example data)
  Ragout (Reference-Assisted Genome Ordering UTility) is a tool for
  chromosome-level scaffolding using multiple references. Given initial

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

override_dh_auto_clean:
	dh_auto_clean || true
	rm -f bin/ragout-maf2synteny bin/ragout-overlap
	rm -rf .pybuild
	find . -name "*.o" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, sibelia
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/fenderglass/Ragout/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
